Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 86112 - New timing attack on OpenSSL applications
New timing attack on OpenSSL applications
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: openssl (Show other bugs)
8.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-03-14 04:44 EST by Mark J. Cox
Modified: 2007-04-18 12:52 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-04-15 07:32:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2003:101 normal SHIPPED_LIVE : Updated OpenSSL packages fix vulnerabilities 2003-04-01 00:00:00 EST
Red Hat Product Errata RHSA-2003:205 normal SHIPPED_LIVE : Updated OpenSSL packages fix vulnerabilities 2003-06-23 00:00:00 EDT

  None (edit)
Description Mark J. Cox 2003-03-14 04:44:43 EST
Description of problem:

Timing attack on RSA decryption because RSA blinding isn't
used in all applications (mod_ssl etc)

Version-Release number of selected component (if applicable):

This affects most applications that link to OpenSSL

How reproducible:

In order to exploit this issue you need to be local to the machine or be on a
network that enables you to reliably observe sub 1ms timing differences.  

Additional info:

http://crypto.stanford.edu/~dabo/papers/ssl-timing.pdf

Note that enabling RSA blinding is not trivial
Comment 1 Mark J. Cox 2003-03-14 04:45:56 EST
(also note that this issue was entered for OpenSSL under Red Hat Linux 8.0 but
applies to all applications linked to OpenSSL under Red Hat Linux 6.2, 7, 7.1,
7.2, 8.0 and the Enterprise Linux family.
Comment 2 Mark J. Cox 2003-03-17 04:36:20 EST
This is CAN-2003-0147.  The OpenSSL team are currently working on a patch that
enables RSA blinding by default, therefore only OpenSSL will need to be updated
and applications linked to it will not.
Comment 3 Mark J. Cox 2003-04-15 07:32:24 EDT
Was fixed by http://rhn.redhat.com/errata/RHSA-2003-101.html

Note You need to log in before you can comment on or make changes to this bug.